#include<iostream>
#include<cmath>
using namespace std;

int fun(int a[],int n)
{
	int max=0,min=0,i=0,s,sum=0;
	for(i=0;i<n;i++)
	{
		if(a[max]<a[i])
			max=i;
		if(a[min]>a[i])
			min=i;
			sum+=a[i];
	}
	s=a[max];
	a[max]=a[min];
	a[min]=s;
	return sum;
}

int main()
{
	int a[50],i,sum,n;
	cin>>n;
	for(i=0;i<n;i++)
		cin>>a[i];
	sum=fun(a,n);
	for(i=0;i<n;i++)
		cout<<a[i]<<" ";
	cout<<endl<<sum<<endl;
	return 0;
}
